Skip to main content
GET
/
fixtures
/
validation
Get a Merkle proof for a specific fixture update
curl --request GET \
  --url https://api.example.com/fixtures/validation
{
  "snapshot": {},
  "summary": {},
  "subTreeProof": [
    {}
  ],
  "mainTreeProof": [
    {}
  ],
  "fixtureId": {},
  "competitionId": {},
  "competition": "<string>",
  "updateStats": {},
  "updateSubTreeRoot": {},
  "updateCount": {},
  "minTimestamp": {},
  "maxTimestamp": {}
}

Documentation Index

Fetch the complete documentation index at: https://txline-docs.txodds.com/llms.txt

Use this file to discover all available pages before exploring further.

Each fixture returned or referenced in the TxLINE API is part of an hourly batch of fixture updates. Blockchain holds the Merkle root (ultimate cryptographic containment proof) of each fixture belonging to that batch. This endpoint returns the Merkle proof, i.e., the hashes along the branch of the Merkle tree for the batch up to but not inclusive of that Merkle root. The user can then call on-chain validation directly to get a cryptographic validation that a given fixture update was published by TxODDS as confirmed by the published Merkle root. This on-chain transaction requires the fixture record and the Merkle proof returned here.

Query Parameters

fixtureId
int64
required
The ID of the fixture to validate.
timestamp
int64
Optional. A Unix timestamp (ms) to get the validation proof for a specific point in time. Defaults to now.

Response

Returns a FixtureValidation object.
snapshot
Fixture
required
The fixture snapshot data
summary
FixtureBatchSummary
required
Summary information about the fixture batch
subTreeProof
array
required
Merkle proof nodes for the sub-tree
mainTreeProof
array
required
Merkle proof nodes for the main tree

FixtureBatchSummary Object

fixtureId
int64
required
Fixture identifier
competitionId
int32
required
Competition identifier
competition
string
required
Competition name
updateStats
FixtureUpdateStats
required
Statistics about updates in this batch
updateSubTreeRoot
binary
required
Root hash of the update sub-tree

FixtureUpdateStats Object

updateCount
int32
required
Number of updates in the batch
minTimestamp
int64
required
Earliest update timestamp
maxTimestamp
int64
required
Latest update timestamp